def recherche_binaire(liste, element, debut, fin):
    if debut > fin:
        return -1

    milieu = (debut + fin) // 2

    if liste[milieu] == element:
        return milieu
    if liste[milieu] > element:
        return recherche_binaire(liste, element, debut, milieu - 1)

    return recherche_binaire(liste, element, milieu + 1, fin)

# Exemple d'utilisation
liste_triee = [1, 3, 5, 7, 9, 11, 13, 15]
element_a_chercher = 7
indice = recherche_binaire(liste_triee, element_a_chercher, 0, len(liste_triee) - 1)
print(f"L'élément {element_a_chercher} est à l'indice : {indice}")